

package gov.va.med.cds.monitor;


public class VdmFilterMethodMetrics
    extends
        AbstractMethodMetrics
    implements
        VdmFilterMethodMetricsInterface
{

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmFilterMethodMetricsInterface#getVdmFilterTransactions()
     */
    public long getVdmFilterTransactions( )
    {
        return getTransactions();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmFilterMethodMetricsInterface#getVdmFilterElapsedTime()
     */
    public long getVdmFilterElapsedTime( )
    {
        return getElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmFilterMethodMetricsInterface#getVdmFilterTransactionsPerSecond()
     */
    public double getVdmFilterTransactionsPerSecond( )
    {
        return getTransactionsPerSecond();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmFilterMethodMetricsInterface#getVdmFilterAverageElapsedTime()
     */
    public double getVdmFilterAverageElapsedTime( )
    {
        return getAverageElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmFilterMethodMetricsInterface#getVdmFilterMaxElapsedTime()
     */
    public long getVdmFilterMaxElapsedTime( )
    {
        return getMaxElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmFilterMethodMetricsInterface#getVdmFilterMinElapsedTime()
     */
    public long getVdmFilterMinElapsedTime( )
    {
        return getMinElapsedTime();
    }
}
